summaryrefslogtreecommitdiff
path: root/dev-python/jsonpatch/jsonpatch-1.35.ebuild
diff options
context:
space:
mode:
authorCrucible <crucible@localhost>2026-10-10 21:31:15 -0500
committerCrucible <crucible@localhost>2026-10-10 21:31:15 -0500
commit170dbd8dd96efb51132a4957c7c58a21422297b8 (patch)
tree0fa8f38e5bafbb99366a3d381aef10a2e9e3aac5 /dev-python/jsonpatch/jsonpatch-1.35.ebuild
parent1c95b7fb4baf8a490bb24816f3c3c437bcaa3209 (diff)
downloadsrcux-develop.tar.gz
srcux-develop.tar.xz
srcux-develop.zip
Publish srcux candidate 0000000631-20261010-212918HEADdevelop
Diffstat (limited to 'dev-python/jsonpatch/jsonpatch-1.35.ebuild')
-rw-r--r--dev-python/jsonpatch/jsonpatch-1.35.ebuild43
1 files changed, 43 insertions, 0 deletions
diff --git a/dev-python/jsonpatch/jsonpatch-1.35.ebuild b/dev-python/jsonpatch/jsonpatch-1.35.ebuild
new file mode 100644
index 000000000000..632a0da68c8c
--- /dev/null
+++ b/dev-python/jsonpatch/jsonpatch-1.35.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=python-json-patch-${PV}
+DESCRIPTION="Apply JSON-Patches like http://tools.ietf.org/html/draft-pbryan-json-patch-04"
+HOMEPAGE="
+ https://github.com/stefankoegl/python-json-patch/
+ https://pypi.org/project/jsonpatch/
+"
+SRC_URI="
+ https://github.com/stefankoegl/python-json-patch/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/jsonpointer-1.9[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ ${RDEPEND}
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" tests.py || die "Tests of tests.py fail with ${EPYTHON}"
+ "${EPYTHON}" ext_tests.py || die "Tests of ext_tests.py fail with ${EPYTHON}"
+ "${EPYTHON}" property_tests.py || die "Tests of property_tests.py fail with ${EPYTHON}"
+}